## qt6-webview 6.9.1

=== debian/changelog ===
qt6-webview (6.9.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Install missing cmake-files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Aug 2025 10:47:02 +0200

qt6-webview (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.7.2 (no changes needed).
  * Remove inactive uploaders, thank you for your work.

 -- Patrick Franz <deltaone@debian.org>  Fri, 15 Aug 2025 18:18:39 +0200

=== debian/control ===
Source: qt6-webview
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               ccache [linux-any],
               cmake (>= 3.24~),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-xkb-dev,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.9.1+dfsg~),
               qt6-base-private-dev (>= 6.9.1+dfsg~),
               qt6-declarative-dev (>= 6.9.1+dfsg~),
               qt6-declarative-private-dev (>= 6.9.1+dfsg~),
               qt6-webengine-dev (>= 6.9.1+dfsg~),
               qt6-webengine-dev-tools (>= 6.9.1+dfsg~),
               qt6-webengine-private-dev (>= 6.9.1+dfsg~),
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
Standards-Version: 4.7.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-webview
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-webview.git
Rules-Requires-Root: no

Package: libqt6webview6
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: Qt 6 WebView library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebView provides a way to display web content in a QML application
 without necessarily including a full web browser stack by using
 native APIs where it makes sense.
 .
 This package contains the Qt 6 WebView library.

Package: qt6-webview-plugins
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 WebView plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebView provides a way to display web content in a QML application
 without necessarily including a full web browser stack by using
 native APIs where it makes sense.
 .
 This package contains Qt 6 WebView plugins.

Package: qml6-module-qtwebview
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Breaks: libqt6webviewquick6,
Replaces: libqt6webviewquick6,
Description: Qt 6 WebView QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebView provides a way to display web content in a QML application
 without necessarily including a full web browser stack by using
 native APIs where it makes sense.
 .
 This package contains the Qt 6 WebView QML module.

Package: qt6-webview-dev
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Section: libdevel
Depends: libqt6webview6 (= ${binary:Version}),
         qml6-module-qtwebview (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         qt6-webview-plugins (= ${binary:Version}),
         ${misc:Depends},
Description: Qt 6 WebView - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebView provides a way to display web content in a QML application
 without necessarily including a full web browser stack by using
 native APIs where it makes sense.
 .
 This package contains the development files needed to build Qt 6 applications
 using the Qt WebView library.

Package: qt6-webview-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Description: Qt 6 WebView documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for Qt 6 WebView.

Package: qt6-webview-doc-html
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Description: Qt 6 WebView HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for Qt 6 WebView.

Package: qt6-webview-examples
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 WebView examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt WebView submodule.

## qt6-webview 6.9.2

=== CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(QtWebView
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt WebView Libraries"
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core)
find_package(Qt6 ${PROJECT_VERSION} CONFIG OPTIONAL_COMPONENTS Gui Qml Quick OpenGL
    WebEngineCore WebEngineQuick
)
qt_internal_project_setup()

# Make sure we use the fixed BASE argument of qt_add_resource.
set(QT_USE_FIXED_QT_ADD_RESOURCE_BASE TRUE)

if(QNX)
    message(NOTICE "Skipping the build as the condition \"NOT QNX\" is not met.")
    return()
endif()

if(NOT QT_FEATURE_gui)
    message(NOTICE "Skipping the build as the condition \"QT_FEATURE_gui\" is not met.")
    return()
endif()
qt_build_repo()

=== examples/webview/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

if(TARGET Qt6::WebView)
    qt_internal_add_example(minibrowser)
endif()

=== src/quick/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


if(TARGET Qt::WebEngineQuick)
    set(qmlDependency "QtWebEngine/auto")
endif()

qt_internal_add_qml_module(WebViewQuick
    URI "QtWebView"
    VERSION "${PROJECT_VERSION}"
    CLASS_NAME QWebViewQuickPlugin
    PLUGIN_TARGET qtwebviewquickplugin
    DEPENDENCIES
        QtQuick/auto
        ${qmlDependency}
    SOURCES
        qquickviewcontroller.cpp qquickviewcontroller_p.h
        qquickwebview.cpp qquickwebview_p.h
        qquickwebviewloadrequest.cpp qquickwebviewloadrequest_p.h
        qtwebviewquickglobal_p.h
        qquickwebviewsettings.cpp qquickwebviewsettings_p.h
    PUBLIC_LIBRARIES # TODO: QTBUG-86533 workaround, PUBLIC_LIBRARIES should be moved to LIBRARIES.
        Qt::Quick
        Qt::QmlModels
    LIBRARIES
        Qt::QuickPrivate
        Qt::WebViewPrivate
)

 # TODO: QTBUG-86533 workaround, PUBLIC_LIBRARIES should be moved to LIBRARIES.
qt_internal_extend_target(WebViewQuick CONDITION TARGET Qt::OpenGL
    PUBLIC_LIBRARIES
        Qt::OpenGL
)

=== tests/auto/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(webview)
add_subdirectory(qml)

=== src/plugins/webengine/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## QWebEngineWebViewPlugin Plugin:
#####################################################################

qt_internal_add_plugin(QWebEngineWebViewPlugin
    OUTPUT_NAME qtwebview_webengine
    PLUGIN_TYPE webview
    SOURCES
        qwebenginewebview.cpp qwebenginewebview_p.h
        qwebenginewebviewplugin.cpp
    LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::WebEngineCorePrivate
        Qt::WebEngineQuickPrivate
        Qt::WebViewPrivate
        Qt::WebViewQuickPrivate
)

=== tests/auto/qml/qquickwebview/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qquickwebview Binary:
#####################################################################

qt_internal_add_test(tst_qquickwebview
    SOURCES
        util.h testwindow.h
        tst_qquickwebview.cpp
    LIBRARIES
        Qt::Quick
        Qt::WebViewPrivate
        Qt::WebViewQuickPrivate
)

set(testdata_resource_files
    "html/basic_page.html"
    "html/basic_page2.html"
    "html/direct-image-compositing.html"
    "html/inputmethod.html"
    "html/scroll.html"
    "html/cookies.html"
    "html/javascript.html"
)

qt_internal_add_resource(tst_qquickwebview "testdata"
    PREFIX
        "/"
    BASE
        "html"
    FILES
        ${testdata_resource_files}
)
set(testdata1_resource_files
    "html/resources/simple_image.png"
)

qt_internal_add_resource(tst_qquickwebview "testdata1"
    PREFIX
        "/resources"
    BASE
        "html"
    FILES
        ${testdata1_resource_files}
)

qt_internal_extend_target(tst_qquickwebview CONDITION TARGET Qt::WebEngineQuick AND NOT APPLE
    DEFINES
        QT_WEBVIEW_WEBENGINE_BACKEND
)

=== tests/auto/webview/qwebview/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qwebview Test:
#####################################################################

qt_internal_add_test(tst_qwebview
    SOURCES
        tst_qwebview.cpp
    LIBRARIES
        Qt::Gui
        Qt::WebViewPrivate
)

qt_internal_extend_target(tst_qwebview CONDITION TARGET Qt::WebViewQuick
    DEFINES
        QT_QQUICKWEBVIEW_TESTS
    LIBRARIES
        Qt::WebViewQuickPrivate
        Qt::Qml
)

qt_internal_extend_target(tst_qwebview CONDITION TARGET Qt::WebEngineQuick AND NOT APPLE
    DEFINES
        QT_WEBVIEW_WEBENGINE_BACKEND
    LIBRARIES
        Qt::WebEngineQuickPrivate
        Qt::Qml
)

=== debian/changelog ===
qt6-webview (6.9.2-0zneon+24.04+noble+release+build27) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 30 Aug 2025 05:53:17 +0000

qt6-webview (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 29 Aug 2025 16:09:52 +1000

qt6-webview (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 10 Jul 2025 00:59:42 +1000

qt6-webview (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 02 May 2025 00:13:41 +1000

qt6-webview (6.8.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 11 Apr 2025 23:31:32 +1000

qt6-webview (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Feb 2025 09:54:32 +1000

qt6-webview (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 08 Dec 2024 08:55:41 +1000

qt6-webview (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 24 Jul 2024 21:46:12 +1000

qt6-webview (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 17 Feb 2024 10:29:11 +1000

qt6-webview (6.6.1-0neon) jammy; urgency=medium

  [ Patrick Franz ]
  * New release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 10 Dec 2023 22:00:01 +1000

qt6-webview (6.4.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.
  * Enable link time optimization.

 -- Patrick Franz <deltaone@debian.org>  Sat, 19 Nov 2022 00:55:26 +0100

=== debian/control ===
Source: qt6-webview
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-xkb-dev,
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.9.2~),
               qt6-declarative-dev (>= 6.9.2~),
               qt6-webengine-dev (>= 6.9.2~)
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-webview.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-webview
Maintainer: Neon CI <neon@kde.org>

Package: qt6-webview
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: fontconfig, qt6-webengine, ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt6webview6,
          libqt6webviewquick6,
          qml6-module-qtwebview,
          qt6-webview-plugins
Description: Qt 6 WebView library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebView provides a way to display web content in a QML application
 without necessarily including a full web browser stack by using
 native APIs where it makes sense.
 .
 This package contains the Qt 6 WebView library.

Package: qt6-webview-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev,
         qt6-declarative-dev,
         qt6-webview (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: qt6-webview-examples
Description: Qt 6 WebView - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebView provides a way to display web content in a QML application
 without necessarily including a full web browser stack by using
 native APIs where it makes sense.
 .
 This package contains the development files needed to build Qt 6 applications
 using the Qt WebView library.

Package: qt6-webview-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc, qt6-webview-dev, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-webview-doc-html
Description: Qt 6 WebView documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for Qt 6 WebView.

Package: libqt6webview6
Architecture: all
Depends: qt6-webview, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6webviewquick6
Architecture: all
Depends: qt6-webview, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-webview-plugins
Architecture: all
Depends: qt6-webview, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtwebview
Architecture: all
Depends: qt6-webview, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-webview-doc-html
Architecture: all
Depends: qt6-webview-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-webview-examples
Architecture: all
Depends: qt6-webview-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://qt-mirror.dannhauer.de/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qtwebview-everywhere-src-([\d\.]+\d).tar.xz

## qt6-webview 6.9.3

=== debian/changelog ===
qt6-webview (6.9.3-0zneon+24.04+noble+release+build29) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 05 Nov 2025 14:26:43 +0000

qt6-webview (6.9.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 04 Nov 2025 18:48:18 +1000

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,11 @@
                mold,
                ninja-build,
                pkg-kde-tools,
+               pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.9.2~),
-               qt6-declarative-dev (>= 6.9.2~),
-               qt6-webengine-dev (>= 6.9.2~)
+               qt6-base-dev (>= 6.9.3~),
+               qt6-declarative-dev (>= 6.9.3~),
+               qt6-webengine-dev (>= 6.9.3~)
 Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                      qt6-tools (>= 6.9~) <!nodoc>
 Standards-Version: 4.6.2

## qt6-webview 6.10.0

=== debian/changelog ===
qt6-webview (6.10.0-0zneon+24.04+noble+stable+build38) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 18 Nov 2025 07:57:36 +0000

qt6-webview (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 15 Nov 2025 15:34:04 +1000

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,11 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.9.3~),
-               qt6-declarative-dev (>= 6.9.3~),
-               qt6-webengine-dev (>= 6.9.3~)
-Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
-                     qt6-tools (>= 6.9~) <!nodoc>
+               qt6-base-dev (>= 6.10.0~),
+               qt6-declarative-dev (>= 6.10.0~),
+               qt6-webengine-dev (>= 6.10.0~)
+Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
+                     qt6-tools (>= 6.10~) <!nodoc>
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no

## qt6-webview 6.10.1

=== debian/changelog ===
qt6-webview (6.10.1-0zneon+24.04+noble+unstable+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 01:00:48 +0000

qt6-webview (6.10.1-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 29 Nov 2025 07:56:04 +1000

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.10.0~),
-               qt6-declarative-dev (>= 6.10.0~),
-               qt6-webengine-dev (>= 6.10.0~)
+               qt6-base-dev (>= 6.10.1~),
+               qt6-declarative-dev (>= 6.10.1~),
+               qt6-webengine-dev (>= 6.10.1~)
 Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                      qt6-tools (>= 6.10~) <!nodoc>
 Standards-Version: 4.6.2

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://mirror.netcologne.de/qtproject/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qtwebview-everywhere-src-([\d\.]+\d).tar.xz

## qt6-webview 6.10.2

=== debian/changelog ===
qt6-webview (6.10.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.10.2).
  * Bump Qt B-Ds to 6.10.2.
  * Update d/watch to format version 5.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Feb 2026 14:39:03 +0100

qt6-webview (6.9.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Sun, 02 Nov 2025 19:25:33 +0100

qt6-webview (6.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 21:15:53 +0200

qt6-webview (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Sep 2025 19:43:30 +0200

=== debian/control ===
Source: qt6-webview
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-xkb-dev,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.10.2+dfsg~),
               qt6-base-private-dev (>= 6.10.2+dfsg~),
               qt6-declarative-dev (>= 6.10.2+dfsg~),
               qt6-declarative-private-dev (>= 6.10.2+dfsg~),
               qt6-webengine-dev (>= 6.10.2+dfsg~),
               qt6-webengine-dev-tools (>= 6.10.2+dfsg~),
               qt6-webengine-private-dev (>= 6.10.2+dfsg~),
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-documentation-tools (>= 6.10~) <!nodoc>,
Standards-Version: 4.7.3
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-webview
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-webview.git

Package: libqt6webview6
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: Qt 6 WebView library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebView provides a way to display web content in a QML application
 without necessarily including a full web browser stack by using
 native APIs where it makes sense.
 .
 This package contains the Qt 6 WebView library.

Package: qt6-webview-plugins
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: fontconfig,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 WebView plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebView provides a way to display web content in a QML application
 without necessarily including a full web browser stack by using
 native APIs where it makes sense.
 .
 This package contains Qt 6 WebView plugins.

Package: qml6-module-qtwebview
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Breaks: libqt6webviewquick6,
Replaces: libqt6webviewquick6,
Description: Qt 6 WebView QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebView provides a way to display web content in a QML application
 without necessarily including a full web browser stack by using
 native APIs where it makes sense.
 .
 This package contains the Qt 6 WebView QML module.

Package: qt6-webview-dev
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Section: libdevel
Depends: libqt6webview6 (= ${binary:Version}),
         qml6-module-qtwebview (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         qt6-webview-plugins (= ${binary:Version}),
         ${misc:Depends},
Description: Qt 6 WebView - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebView provides a way to display web content in a QML application
 without necessarily including a full web browser stack by using
 native APIs where it makes sense.
 .
 This package contains the development files needed to build Qt 6 applications
 using the Qt WebView library.

Package: qt6-webview-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc,
         ${misc:Depends},
Description: Qt 6 WebView documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for Qt 6 WebView.

Package: qt6-webview-doc-html
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc-html,
         ${misc:Depends},
Description: Qt 6 WebView HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for Qt 6 WebView.

Package: qt6-webview-examples
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Section: misc
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Qt 6 WebView examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt WebView submodule.

=== debian/watch ===
Version: 5

Source: https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/
Matching-Pattern: qtwebview-everywhere-src-(.*)\.tar\.xz
